// Oleg Petruny proprietary.


#include "CustomGameUserSettings.h"

#include "Kismet/GameplayStatics.h"

UCustomGameUserSettings::UCustomGameUserSettings(const FObjectInitializer& ObjectInitializer) :Super(ObjectInitializer)
{
    bUseMotionBlur = false;
    bShowFps = false;
    bMouseInverted = false;
    fMouseSensetivity = 1.0f;
}

UCustomGameUserSettings* UCustomGameUserSettings::GetCustomGameUserSettings()
{
    return Cast<UCustomGameUserSettings>(UGameUserSettings::GetGameUserSettings());
}

void UCustomGameUserSettings::SetMouseSensetivity(float value)
{
    fMouseSensetivity = FMath::Clamp(value, 0.1f, 2.0f);
}

float UCustomGameUserSettings::GetMouseSensetivity() const
{
    return fMouseSensetivity;
}